/*
This is one of the constituent views of vallevents... collecting all events together.
*/
create or replace view veventspart5 as
select DET_SEQ_NUM ,FAREBOX_GLID ,CONV_DATE,  0 SHIFT_SEQ, 0 USER_ID , 0 ROUTE_ID,
 0 RUN_ID, 0 TRIP_ID, 0 FARESET_ID , '   ' setclr, 0 alarm, 
rpad('(40) Way Event :  ' || waycodes.descr, 200) event
from wayevnt, waycodes
where wayevnt.code = waycodes.code 
union 
select DET_SEQ_NUM, FAREBOX_GLID ,CONV_DATE , 0 SHIFT_SEQ, 0 USER_ID , 0 ROUTE_ID,
 0 RUN_ID, 0 TRIP_ID, 0 FARESET_ID , '   ' setclr, 0 alarm, 
'(41) Way Iss Tkt, Descrptr=' || to_char(descriptor) || '  val: ' || to_char(card_val, '99999.99') event
from wayissue 
union 
select  DET_SEQ_NUM, FAREBOX_GLID, CONV_DATE , 0 SHIFT_SEQ, 0 USER_ID , 0 ROUTE_ID,
 0 RUN_ID, 0 TRIP_ID, 0 FARESET_ID , '   ' setclr, 0 alarm, 
'(42) Way Stor Val Cd , Descrptr=' || to_char(descriptor) || ' --NewVal: '|| to_char(newval, '09999.99') || ', OldVal: ' || to_char(oldval, '0999.99')
 event
from waysvc 
union 
select  DET_SEQ_NUM ,FAREBOX_GLID, CONV_DATE , 0 SHIFT_SEQ, 0 USER_ID , 0 ROUTE_ID,
 0 RUN_ID, 0 TRIP_ID, 0 FARESET_ID , '   ' setclr, 0 alarm, 
'(43)Way Validate Pass  ,Descrptr= '|| to_char(descriptor) event
from wayvalpass;

